#61 LAME Encoding fails

ripperX 2.8.1
pending
tony mancill
None
5
2014-05-20
2013-02-05
abssorb
No

Ubuntu 12.04 64 bit. RipperX and Lame 3.99 from repos.

If I run ripperx from the command line, when the problem occurs I get:

*** stack smashing detected ***: ripperX_plugin-lame terminated
Segmentation fault (core dumped)

The happens randomly, e.g.I can rip the same track 5 times and it will fail 3 times. Different settings in the config don't seem to make any difference.
I also Removed lame and comiled 3.99.5, same problem.

RipperX worked on same hardware when on Ubuntu 11.04 64 bit.

Discussion

  • abssorb
    abssorb
    2013-02-13

    Made update on machine to Ubuntu 12.10 Quetzal 64 bit. RipperX and Lame 3.99 from repos.

    Same error. Kernel problem?

     
  • greg bell
    greg bell
    2013-08-17

    Me too... Ubuntu 12.10, Kernel 3.5.0-32, RipperX 2.7.3, Lame 3.99.5

     
    Last edit: greg bell 2013-08-17
  • I had similar problems due to a sscanf-format error in ripperX_plugin-lame.c

    Thus see attached a corrected version.

     
    Attachments
  • tony mancill
    tony mancill
    2014-05-17

    • assigned_to: tony mancill
    • Group: --> ripperX 2.8
     
  • tony mancill
    tony mancill
    2014-05-20

    • status: open --> pending
    • Group: ripperX 2.8 --> ripperX 2.8.1